/* 
 * Copyright 1991 Oliver Jones
 * Permission to use, copy, modify, distribute, and sell this software
 * for any purpose is hereby granted without fee.  No representations
 * are made by anyone about the suitability of this software for any
 * purpose.  It is provided "as is" without express or implied
 * warranty. 
 */

#ifndef _OBJECT_H_
#define _OBJECT_H_


#include "render.h"

typedef struct Vector {
  short int      x,y;
} Vector;

extern void EventVector ();

typedef enum State {
  Unchanged,  /* unchanged */
  Erased,     /* not displayed now */
  Echoed,     /* echoed now */
  Drawn       /* drawn now */
} State;

typedef struct DrawObject DrawObject;

/* routine declarations */
extern DrawObject * NewObject();
extern DrawObject * NextObject ();
extern void LinkObject ();
extern void ResizeObject ();
extern void PaintObject ();
extern Boolean TestObject ();
extern void FreeObject ();

#endif
